--- anaconda-7.3/installclasses/GenericFarm.py	Wed Dec 31 18:00:00 1969
+++ anaconda-7.3-f1/installclasses/GenericFarm.py	Fri Jul 12 16:47:08 2002
@@ -0,0 +1,37 @@
+from fermiinstallclass import FermiInstallClass
+
+class InstallClass(FermiInstallClass):
+    name = ("GenericFarm Workgroup Install")
+    pixmap = "fermitux-farm.png"
+
+    sortPriority = 25
+
+    def setSteps(self, dispatch):
+	FermiInstallClass.setSteps(self, dispatch);
+	dispatch.skipStep("bootdisk")
+
+    def setGroupSelection(self, comps):
+	FermiInstallClass.__init__(self, comps)
+
+        comps["GenericFarm"].select()
+
+    def setInstallData(self, id):
+	FermiInstallClass.setInstallData(self, id)
+
+        self.setTimezoneInfo( id, "America/Chicago")
+
+	self.setFirewall( id,  enable = 0, policy = 0, trusts = [], ports = "",
+                    dhcp = 0, ssh = 0, telnet = 0, smtp = 0, http = 0,
+                    ftp = 0)
+
+	self.setAuthentication( id , 
+			        1 ,  # useShadow
+			        1 ,  # useMD5
+                                useKrb5 = 1 ,
+                                krb5Realm = "FNAL.GOV",
+                                krb5Kdc = "krb-fnal-1.fnal.gov:88,krb-fnal-2.fnal.gov:88,krb-fnal-3.fnal.gov:88,krb-fnal-4.fnal.gov:88,krb-fnal-5.fnal.gov:88",
+                                krb5Admin = "krb-fnal-admin.fnal.gov",
+                              )
+
+    def __init__(self, expert):
+	FermiInstallClass.__init__(self, expert)
